package asw.asw860.client;

import java.rmi.RemoteException;
import javax.xml.rpc.ServiceException;

import asw.asw860.calculator.*;

public class CalculatorProxy {

	private Calculator calculator;

	public CalculatorProxy() throws ServiceException {
		CalculatorService locator = new CalculatorServiceLocator();
		this.calculator = locator.getCalculatorPort();
	}

	public double sqrt(double x) throws RemoteException {
		return calculator.sqrt(x);
	}

	public double exp(double x) throws RemoteException {
		return calculator.exp(x);
	}

}
